
Katello - Bug #6368

katello-devel-installer fails due to missing /etc/pki/pulp directory

06/24/2014 10:10 PM - Stephen Benjamin

Status: Duplicate   

Priority: Normal   

Assignee: Eric Helms   

Category: Installer   

Target version: Katello Recycle Bin   

Difficulty: easy Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

 Something went wrong! Check the log for ERROR-level output

  The full log is at /var/log/katello-installer/katello-devel-installer.log

[ INFO 2014-06-24 15:01:38 verbose] All hooks in group post finished

[ERROR 2014-06-24 15:01:38 verbose] Repeating errors encountered during run:

[ERROR 2014-06-24 15:01:38 verbose]  Cannot create /etc/pki/pulp/nodes; parent directory /etc/pki/

pulp does not exist

[ERROR 2014-06-24 15:01:38 verbose]  /Stage[main]/Certs::Pulp_parent/File[/etc/pki/pulp/nodes]/ens

ure: change from absent to directory failed: Cannot create /etc/pki/pulp/nodes; parent directory /

etc/pki/pulp does not exist

 mkdir the directory and re-run the installer works fine.

This is a long standing issue in Puppet that they refuse to fix: https://projects.puppetlabs.com/issues/86.  Thankfully, when feeding a

File resource an array, it is intelligent enough to create them in the correct tree order, so we could feed it an array like tike this:

["$pulp_pki_dir", "$pulp_pki_dir/nodes"] or similar.

Related issues:

Has duplicate Katello - Bug #7007: katello devel installer fails creating cer... Closed 08/09/2014

History

#1 - 07/07/2014 11:23 AM - Eric Helms

- Assignee set to Eric Helms

- Target version set to 49

- Difficulty set to easy

- Triaged changed from No to Yes

#2 - 07/28/2014 08:44 AM - Eric Helms

- Target version changed from 49 to 54

#3 - 08/11/2014 09:17 AM - Justin Sherrill

- Status changed from New to Duplicate

Duplicate of 7007

#4 - 08/11/2014 09:21 AM - Anonymous

- Has duplicate Bug #7007: katello devel installer fails creating certs in /etc/pki/pulp/nodes/ because /etc/pki/pulp doesn't exist yet added

#5 - 08/22/2014 08:58 AM - Eric Helms

- translation missing: en.field_release set to 13

#6 - 03/21/2015 11:03 AM - Eric Helms
https://projects.puppetlabs.com/issues/86


- translation missing: en.field_release deleted (13)

#7 - 07/08/2016 11:20 AM - Eric Helms

- translation missing: en.field_release set to 166
